Package net.sourceforge.jiu.apps

# Class ImageDescriptionCreator

java.lang.Object
net.sourceforge.jiu.apps.ImageDescriptionCreator

public class ImageDescriptionCreator extends Object
Returns textual descriptions of the properties of JIU image objects.

Since:
  0.9.0
Author:
  Marco Schmidt

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ImageDescriptionCreator()`

## Method Summary

Modifier and Type
Method
Description
`private static String`
`formatNumber(long value, Locale locale)`
`static String`
`getDescription(PixelImage image, Locale locale, Strings strings)`
Returns a description of the argument image using the language as specified by the argument locale's two-letter language code.
`private static int`
`getImageType(PixelImage image)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageDescriptionCreator

private ImageDescriptionCreator()

## Method Details

### formatNumber

private static String formatNumber(long value, Locale locale)

### getDescription

public static String getDescription(PixelImage image, Locale locale, Strings strings)
Returns a description of the argument image using the language as specified by the argument locale's two-letter language code.

Parameters:
  `image` - the image for which a textual description is to be returned
  `locale` - the Locale storing the natural language to be used for formatting
Returns:
  a textual description of the image

### getImageType

private static int getImageType(PixelImage image)